Index: tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,32 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Big convex tesselation 
+
+AT_SETUP([Tesselation - big convex Envelope])
+AT_KEYWORDS([Tesselation convex convex-envelope])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/pre/test.conf $file], 0)
+convexfile=ConvexEnvelope
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 --convex-envelope 5. --convex-file $convexfile --nonconvex-file NonConvexEnvelope --no-dry-run --store-session session-tesselation-big-convex-envelope.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-tesselation-big-convex-envelope.py >session-tesselation-big-convex-envelope_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-tesselation-big-convex-envelope_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
+#AT_CHECK([diff ${convexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/post/ConvexEnvelope.r3d], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,32 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Big Non convex tesselation
+
+AT_SETUP([Tesselation - Big non-Convex Envelope])
+AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/pre/test.conf $file], 0)
+nonconvexfile=NonConvexEnvelope
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 -N 4. --nonconvex-file $nonconvexfile --no-dry-run --store-session session-tesselation-big-non-convex-envelope.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-tesselation-big-non-convex-envelope.py >session-tesselation-big-non-convex-envelope_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-tesselation-big-non-convex-envelope_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
+#AT_CHECK([diff ${nonconvexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/post/NonConvexEnvelope.r3d], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,33 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### convex tesselation (where the non-convex is already convex)
+
+AT_SETUP([Tesselation - Convex Envelope])
+AT_KEYWORDS([Tesselation convex convex-envelope])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Tesselation/Convex/pre/test.conf $file], 0)
+convexfile=ConvexEnvelope
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 --convex-envelope 50. --convex-file $convexfile --nonconvex-file NonConvexEnvelope --no-dry-run --store-session session-tesselation-convex-envelope.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-tesselation-convex-envelope.py >session-tesselation-convex-envelope_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-tesselation-convex-envelope_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/Convex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
+#AT_CHECK([diff ${convexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/Convex/post/ConvexEnvelope.r3d], 0, [ignore], [ignore])
+AT_CHECK([diff ConvexEnvelope.dat NonConvexEnvelope.dat], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,31 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Non convex tesselation
+
+AT_SETUP([Tesselation - Non-Convex Envelope])
+AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope])
+
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/pre/test.conf .], 0)
+nonconvexfile=NonConvexEnvelope
+AT_CHECK([../../molecuilder --dry-run -i test.conf  --select-molecule-by-id 0 -N 4. --nonconvex-file $nonconvexfile --no-dry-run --store-session session-tesselation-non-convex-envelope.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-tesselation-non-convex-envelope.py >session-tesselation-non-convex-envelope_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-tesselation-non-convex-envelope_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
+#AT_CHECK([diff ${nonconvexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/post/NonConvexEnvelope.r3d], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Tesselation/testsuite-tesselation.at
===================================================================
--- tests/GuiChecks/Tesselation/testsuite-tesselation.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/testsuite-tesselation.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,30 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - Tesselation test])
+
+# Non convex tesselation
+m4_include([Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at])
+
+# convex tesselation (where the non-convex is already convex)
+m4_include([Tesselation/Convex/testsuite-tesselation-convex-envelope.at])
+
+# Big Non convex tesselation
+m4_include([Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at])
+
+# Big convex tesselation 
+m4_include([Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at])
